- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FUDateTime Class Reference
[Utility Classes.]

A common date-time. More...

`#include <FUDateTime.h>`

List of all members.

## Public Member Functions
| FUDateTime ()
| Default constructor.
| FUDateTime (const FUDateTime &time)
| Copy constructor.
| ~FUDateTime ()
| Destructor.
uint32 | GetSeconds () const
| Retrieves the seconds component of the date-time structure.
uint32 | GetMinutes () const
| Retrieves the minutes component of the date-time structure.
uint32 | GetHour () const
| Retrieves the hour component of the date-time structure.
uint32 | GetDay () const
| Retrieves the day component of the date-time structure.
uint32 | GetMonth () const
| Retrieves the month component of the date-time structure.
uint32 | GetYear () const
| Retrieves the year component of the date-time structure.
void | SetSeconds (uint32 _seconds)
| Sets the seconds component of the date-time structure.
void | SetMinutes (uint32 _minutes)
| Sets the minutes component of the date-time structure.
void | SetHour (uint32 _hour)
| Sets the hour component of the date-time structure.
void | SetDay (uint32 _day)
| Sets the day component of the date-time structure.
void | SetMonth (uint32 _month)
| Sets the month component of the date-time structure.
void | SetYear (uint32 _year)
| Sets the year component of the date-time structure.
## Static Public Member Functions
static FUDateTime | GetNow ()
| Creates a date-time structure to represent the current time.

## Detailed Description

A common date-time.

Encapsulates the OS-dependant timing functions. Use the static member function: GetNow() to sample the current time. The day and month values are 1-indexed, to be user-friendly.

## Constructor & Destructor Documentation

FUDateTime::FUDateTime | ( |  | ) |

| Default constructor. The default date-time is set to 01/01/1900 at 00:00:00.

FUDateTime::FUDateTime | ( | const FUDateTime & | time | ) |

  | Copy constructor. Creates an identical clone of the given date-time structure. Parameters:
  | time | The date-time structure to copy.

## Member Function Documentation

uint32 FUDateTime::GetDay | ( |  | ) | const`[inline]`

| Retrieves the day component of the date-time structure. Returns: The day component. The day component is 1-indexed and has an upper range that depends on the month component. The valid range for the day component is [1, 31].

uint32 FUDateTime::GetHour | ( |  | ) | const`[inline]`

| Retrieves the hour component of the date-time structure. Returns: The hour component. The hour component is always in the range [0, 24[.

uint32 FUDateTime::GetMinutes | ( |  | ) | const`[inline]`

| Retrieves the minutes component of the date-time structure. Returns: The minutes component. The minutes component is always in the range [0, 60[.

uint32 FUDateTime::GetMonth | ( |  | ) | const`[inline]`

| Retrieves the month component of the date-time structure. Returns: The month component. The month component is 1-indexed and is always in the range [1, 12].

static FUDateTime FUDateTime::GetNow | ( |  | ) | `[static]`

| Creates a date-time structure to represent the current time. Encapsulates the OS-dependant time() function. Returns: The current date-time.

uint32 FUDateTime::GetSeconds | ( |  | ) | const`[inline]`

| Retrieves the seconds component of the date-time structure. Returns: The seconds component. The seconds component is always in the range [0, 60[.

uint32 FUDateTime::GetYear | ( |  | ) | const`[inline]`

| Retrieves the year component of the date-time structure. Returns: The year component. The year component represents the full year value, where a value of 2000 is returned for the year 2000.

void FUDateTime::SetDay | ( | uint32 | _day | ) | `[inline]`

  | Sets the day component of the date-time structure. Parameters:
  | _day | The new seconds value. No verification is made to verify that the new value is within the valid range.

void FUDateTime::SetHour | ( | uint32 | _hour | ) | `[inline]`

  | Sets the hour component of the date-time structure. Parameters:
  | _hour | The new seconds value. No verification is made to verify that the new value is within the valid range.

void FUDateTime::SetMinutes | ( | uint32 | _minutes | ) | `[inline]`

  | Sets the minutes component of the date-time structure. Parameters:
  | _minutes | The new seconds value. No verification is made to verify that the new value is within the valid range.

void FUDateTime::SetMonth | ( | uint32 | _month | ) | `[inline]`

  | Sets the month component of the date-time structure. Parameters:
  | _month | The new seconds value. No verification is made to verify that the new value is within the valid range.

void FUDateTime::SetSeconds | ( | uint32 | _seconds | ) | `[inline]`

  | Sets the seconds component of the date-time structure. Parameters:
  | _seconds | The new seconds value. No verification is made to verify that the new value is within the valid range.

void FUDateTime::SetYear | ( | uint32 | _year | ) | `[inline]`

  | Sets the year component of the date-time structure. Parameters:
  | _year | The new seconds value. No verification is made to verify that the new value is within the valid range.

The documentation for this class was generated from the following file:

- FUtils/FUDateTime.h